Subject: Help, I can't get netatalk to go to the right interface

From: Chip Mefford <[email-masked]>
Date: Thu, 9 Aug 2001 08:52:19 -0400

Please Help!

This is making me crazy, I've posted this before.
But it has gotten worse.

I recently had to shut the machine down due
to some changes in the machine room. I wish
I had paid attention to how much uptime it had.
Anyway, since it has come back up, NO ONE can
connect to the correct interface, and all
connections are going around through the 
router to connect to the external interface
at eth0. This isn't a horrible thing, but
it is very slow compared to a local connection.

   I've upgraded from 1.4b2 to 1.5pre2 when I upgraded 
   my RH6 box to a RH7.1 box. 

   1.4b2 under RH 6 was quite controllable and worked well,
I've been using it for quite some time. 

   Since the upgrade, my uses now seem to connect 
   to ANY interface, (no longer true) although my
atalkd.conf is as follows 

   ------include-------------- 
   eth1 -phase 2 -net 0-65534 -addr 65280.181 
   -----end include------------ 

And my afpd.conf is

   -----include--------------- 
   kiosk -port 12000 -address 192.168.0.4 -noguest
   ----end include------------

Kiosk of course, is the name of the 
interface eth1 at 192.168.0.4

   This set up worked and kept my Netatalk connections 
   on eth1 under 1.4b2, however under 1.5pre2, atalk
connections are allowed at all interfaces, and in some 
   case are going around the corner though the router to 
   get at eth0, which is not a bad thing in my case, just 
   really slow. 

   What have I done wrong? the .rpmnew file looks just 
   like the orginal default atalk.conf and non of this 
   seems very well documented, if there are differences 
   in this file relative to 1.4 

   Any input is a help, 

   thanks in advance 

   chipper